## WebKitURISchemeRequest WebKitURISchemeRequest — Represents a URI scheme request |

## Functions

const gchar * | webkit_uri_scheme_request_get_scheme ()
const gchar * | webkit_uri_scheme_request_get_uri ()
const gchar * | webkit_uri_scheme_request_get_path ()
WebKitWebView * | webkit_uri_scheme_request_get_web_view ()
void | webkit_uri_scheme_request_finish ()
void | webkit_uri_scheme_request_finish_error ()

## Types and Values

struct | WebKitURISchemeRequest

## Object Hierarchy

        GObject
        ╰── WebKitURISchemeRequest

## Description

If you register a particular URI scheme in a WebKitWebContext, using `webkit_web_context_register_uri_scheme()`, you have to provide a WebKitURISchemeRequestCallback. After that, when a URI request is made with that particular scheme, your callback will be called. There you will be able to access properties such as the scheme, the URI and path, and the WebKitWebView that initiated the request, and also finish the request with `webkit_uri_scheme_request_finish()`.

## Functions

### webkit_uri_scheme_request_get_scheme ()

    const gchar *
    webkit_uri_scheme_request_get_scheme (WebKitURISchemeRequest *request);

Get the URI scheme of `request`

#### Parameters

request | a WebKitURISchemeRequest |

#### Returns

the URI scheme of `request`

### webkit_uri_scheme_request_get_uri ()

    const gchar *
    webkit_uri_scheme_request_get_uri (WebKitURISchemeRequest *request);

Get the URI of `request`

#### Parameters

request | a WebKitURISchemeRequest |

#### Returns

the full URI of `request`

### webkit_uri_scheme_request_get_path ()

    const gchar *
    webkit_uri_scheme_request_get_path (WebKitURISchemeRequest *request);

Get the URI path of `request`

#### Parameters

request | a WebKitURISchemeRequest |

#### Returns

the URI path of `request`

### webkit_uri_scheme_request_get_web_view ()

    WebKitWebView *
    webkit_uri_scheme_request_get_web_view
                                   (WebKitURISchemeRequest *request);

Get the WebKitWebView that initiated the request.

#### Parameters

request | a WebKitURISchemeRequest |

#### Returns

the WebKitWebView that initiated `request` .

[transfer none]

### webkit_uri_scheme_request_finish ()

    void
    webkit_uri_scheme_request_finish (WebKitURISchemeRequest *request,
                                      GInputStream *stream,
                                      gint64 stream_length,
                                      const gchar *mime_type);

Finish a WebKitURISchemeRequest by setting the contents of the request and its mime type.

#### Parameters

request | a WebKitURISchemeRequest |
stream | a GInputStream to read the contents of the request |
stream_length | the length of the stream or -1 if not known |
mime_type | the content type of the stream or `NULL` if not known. | [allow-none]

### webkit_uri_scheme_request_finish_error ()

    void
    webkit_uri_scheme_request_finish_error
                                   (WebKitURISchemeRequest *request,
                                    GError *error);

Finish a WebKitURISchemeRequest with a GError.

#### Parameters

request | a WebKitURISchemeRequest |
error | a GError that will be passed to the WebKitWebView |

Since 2.2

## Types and Values

### struct WebKitURISchemeRequest

    struct WebKitURISchemeRequest;